Win7安装Flutter环境时问题解决

https://blog.csdn.net/u010127332/article/details/97129200

 

Win7安装Flutter环境时问题解决

问题:“无法将“Unblock-File”项识别为 cmdlet、函数、脚本文件或可运行程序的名称”

我打开power shell运行‘flutter doctor’时,遇到以下问题:

Checking Dart SDK version...
	无法将“Unblock-File”项识别为 cmdlet、函数、脚本文件或可运行程序的名称。请检查名称的拼写,如果包括路径,请确保路径正确,然后重试。
	所在位置 行:1 字符: 13+ Unblock-File <<<<  -Path 'D:\FFlutter\flutter/bin/internal/update_dart_sdk.ps1'; & 'D:\FFlutter\flutter/bin/internal/update_dart_sdk.ps1'
    	+ CategoryInfo          : ObjectNotFound:
    	+ (Unblock-	File:String) [], Comman
   		dNotFoundException
    	+ FullyQualifiedErrorId : CommandNotFoundException
	Flutter requires PowerShell 5.0 or newer.
	See https://flutter.io/docs/get-started/install/windows for more.
	Building flutter tool...
  • 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7
  • 8
  • 9
  • 10

原因:Windows 7环境,需要先把PowerShell升级到5,默认自带的是PowerShell 2

解决:安装ps5.0

1、下载安装包网址 https://www.microsoft.com/en-us/download/confirmation.aspx?id=50395&6B49FDFB-8E5B-4B07-BC31-15695C5A2143=1
2、下载WMF5.1网址 [https://aka.ms/wmf5download]

在这里插入图片描述
在这里插入图片描述

3、点击.msu文件,安装报错“安装程序遇到错误0x80240037”

安装解决:
(1)把Win7AndW2K8R2-KB3191566-x64.msu的后缀名msu改为cab,然后解压,注意解压到一个新的文件夹中,不要在本文件夹中解压(例如:我的解压在同目录的cab文件夹中),解压后的文件夹内容如图:
在这里插入图片描述
(2)然后运行cmd(win键+R键)
输入:dism /online /add-package /packagepath:”X:\路径\文件名.cab
(例如:我输入:dism /online /add-package /packagepath:“C:\ie\cab\Win7AndW2K8R2-KB3191566-x64.cab”)
然后控制台就会出现安装进程了,很快就安装成功了!